AbstractCassandraDaemon.CleaningThreadPool (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class AbstractCassandraDaemon.CleaningThreadPool

    java.lang.Object
      java.util.concurrent.AbstractExecutorService
          java.util.concurrent.ThreadPoolExecutor
              org.apache.cassandra.service.AbstractCassandraDaemon.CleaningThreadPool

All Implemented Interfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService

Enclosing class:
  AbstractCassandraDaemon

    public static class AbstractCassandraDaemon.CleaningThreadPool

extends java.util.concurrent.ThreadPoolExecutor

A subclass of Java's ThreadPoolExecutor which implements Jetty's ThreadPool interface (for integration with Avro), and performs ClientState cleanup. (Note that the tasks being executed perform their own while-command-process loop until the client disconnects.)

Nested Class Summary

Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor
`java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

Constructor Summary
`AbstractCassandraDaemon.CleaningThreadPool(java.lang.ThreadLocal<ClientState> state, int minWorkerThread, int maxWorkerThreads)`

Method Summary
`protected void` | `afterExecute(java.lang.Runnable r, java.lang.Throwable t)`

Methods inherited from class java.util.concurrent.ThreadPoolExecutor
`allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated`

Methods inherited from class java.util.concurrent.AbstractExecutorService
`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCassandraDaemon.CleaningThreadPool

    public AbstractCassandraDaemon.CleaningThreadPool(java.lang.ThreadLocal<ClientState> state,
                                                      int minWorkerThread,
                                                      int maxWorkerThreads)

Method Detail

### afterExecute

    protected void afterExecute(java.lang.Runnable r,
                                java.lang.Throwable t)

  Overrides:
    `afterExecute` in class `java.util.concurrent.ThreadPoolExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation